using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PE
{
    [Description("安全绩效监测记录细表")]
    public class T_PE_SAFETY_MONITOR_RECORD_DETAIL : MesEntityBase
    {
        [Description("安全绩效监测记录")]
        [DataFieldForeignKey("Nav_MonitorRecord", "Nav_Details")]
        public Guid SAFETY_MONITOR_RECORD_ID { get; set; }

        [Description("安全绩效监测记录")]
        public virtual T_PE_SAFETY_MONITOR_RECORD Nav_MonitorRecord { get; set; }

        [Description("监测项目")]
        [DataFieldForeignKey("Nav_Project")]
        public Guid? PROJECT_ID { get; set; }

        [Description("监测项目")]
        public virtual T_PE_MONITOR_PROJECT Nav_Project { get; set; }

        [Description("监测内容")]
        [FormFieldTable]
        [FormFieldQuery]
        public string CONTENTS { get; set; }
        [Description("监测标准")]
        [FormFieldTable]
        [FormFieldQuery]
        public string STANDARD { get; set; }
        [Description("监测方法与技术")]
        [FormFieldTable]
        [FormFieldQuery]
        public string METHOD { get; set; }
        [Description("监测实况")]
        [FormFieldTable]
        [FormFieldQuery]
        public string MONITOR_LIVE { get; set; }

        [Description("结果论述")]
        [FormFieldTable]
        [FormFieldQuery]
        [EnumName("PTResultDiscussEnums")]
        public PTResultDiscussEnums? RESULT_DISCUSS { get; set; }

        [Description("附件上传")]
        [FormFieldEdit]
        public ICollection<T_PE_SAFETY_MONITOR_RECORD_DETAIL_FILE> Nav_Files { get; set; }
    }
}
